org.eclipse.microprofile.metrics.tck.util

## Class TestUtils

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.util.TestUtils

    public class TestUtils
    extends Object

### Field Summary

Fields
`static double` `TOLERANCE`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `assertEqualsWithTolerance(double expected, double actual)` Assert equals with a tolerance factor of `TOLERANCE` times the expected value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TOLERANCE

    public static final double TOLERANCE

See Also:
  Constant Field Values

### Method Detail

#### assertEqualsWithTolerance

    public static void assertEqualsWithTolerance(double expected,
                                                 double actual)

Assert equals with a tolerance factor of `TOLERANCE` times the expected value

Parameters:
  `expected` - expected value
  `actual` - the actual value